> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List caller IDs

> Returns all caller IDs for the authenticated team, including verification status and CNAM details.



## OpenAPI

````yaml /openapi.json get /v1/caller-ids
openapi: 3.1.0
info:
  title: RevDesk v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the RevDesk voice platform — calls, numbers, caller
    trust, and brands.
  contact:
    name: RevDesk
    email: support@revdesk.com
servers:
  - url: https://api.revdesk.com
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Agents
  - name: Documents
  - name: Number Registration
  - name: Sub-entities
paths:
  /v1/caller-ids:
    get:
      tags:
        - Caller IDs
      summary: List caller IDs
      description: >-
        Returns all caller IDs for the authenticated team, including
        verification status and CNAM details.
      operationId: v1_caller_ids_get
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        caller_id_id:
                          type: string
                        phone_number:
                          type: string
                        status:
                          type: string
                        verified_at:
                          anyOf:
                            - type: string
                            - type: 'null'
                        certification_method:
                          anyOf:
                            - type: string
                            - type: 'null'
                        cnam_display_name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        cnam_status:
                          anyOf:
                            - type: string
                            - type: 'null'
                        rcd_display_name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        rcd_status:
                          anyOf:
                            - type: string
                            - type: 'null'
                        active:
                          type: boolean
                        created_at:
                          type: string
                        updated_at:
                          type: string
                      required:
                        - caller_id_id
                        - phone_number
                        - status
                        - verified_at
                        - certification_method
                        - cnam_display_name
                        - cnam_status
                        - rcd_display_name
                        - rcd_status
                        - active
                        - created_at
                        - updated_at
                      additionalProperties: false
                  meta:
                    type: object
                    properties:
                      cursor:
                        type: string
                      total_results:
                        type: number
                      page_size:
                        type: number
                    additionalProperties: false
                required:
                  - data
                  - meta
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````